Subject: Re: [PATCH v2] doc: document and test `@` prefix for raw timestamps

From: Junio C Hamano <[email-masked]>
Date: Tue, 02 Jun 2026 18:20:38 +0900

Patrick Steinhardt <[email-masked]> writes:

> You can use a tool like b4, which can nowadays be configured exactly
> like this with `git config set b4.send-same-thread shallow`. b4 overall
> makes all of the mailing list wrangling a ton easier. Makes me wonder
> whether we should maybe highlight this tool more in our docs.

It would be a very much welcome change.

And "b4" also helps the receiving end, not just the sender.  With
"b4" finding the latest round automatically, getting updated round
once a topic is in my tree is a breeze, thanks to the amlog notes.
Essentially, I detach the HEAD at the previous base commit (often a
bit older 'master', but a few prerequisite topis merged into it),
give "b4 am -o-" a message-id of one of the patches I have queued to
download the latest and pipe that to "git am -s". That way, both
"git range-diff @{-1}..." and "git diff @{-1}" become very effective
ways to see what changes were made to the topic.